Description

We have a use case where the default haproxy client and server timeouts set here

0

 are too low and cause connection resets for

around 3% of our write requests.

We tried Increasing the timeouts(by editing the haproxy file inside the docker container and reloading haproxy) to 900s which

dropped the error rate to around 0.3%.

This is error prone and cumbersome to manage in the long term.

Can you make it possible to override the haproxy.cfg or the haproxy.cfg.j2 template file when using cephadm and ceph ingress

service so we can tune it according to our needs?

[0]: https://github.com/ceph/ceph/blob/master/src/pybind/mgr/cephadm/templates/services/ingress/haproxy.cfg.j2#L35-L36

History

#1 - 07/01/2022 11:52 AM - Redouane Kachach Elhichou

- Status changed from New to Need More Info

cephadm already allows using your own haproxy.cfg:

ceph config-key set mgr/cephadm/services/ingress/haproxy.cfg -i <custom-haproxy-config>

ceph orch redeploy <ingress-service-name>

 

Please have a look to:  https://docs.ceph.com/en/quincy/cephadm/services/monitoring/#using-custom-configuration-files

.. if you still think the current support doesn't cover your needs please free to reopen.

#2 - 07/01/2022 11:54 AM - Redouane Kachach Elhichou

- Status changed from Need More Info to Closed

#3 - 07/01/2022 12:07 PM - Madushan Nishanta

Redouane Kachach Elhichou wrote:

cephadm already allows using your own haproxy.cfg:

[...]

Please have a look to:  https://docs.ceph.com/en/quincy/cephadm/services/monitoring/#using-custom-configuration-files
.. if you still think the current support doesn't cover your needs please free to reopen.

 

Interesting, this wasn't very clear on the docs. Thank you for pointing this out. I'll test it.

#4 - 08/04/2022 09:28 AM - Madushan Nishanta

Tested it, it works okay. The config-key has to be in .j2 template format.
